//hello
$.Select = function(){
	/// Click sur le body pour fermer
	$('body').click(function(){
		// Pour chaque select
		$('.select').each(function(){
			// S'il est ouvert
			if($(this).hasClass('opened')){
				// On le toggle (et donc le ferme)
				toggleSelect($(this));
			}
		});
	});

	// Click sur un select
	$('.select').click(function(event){
		if(event.preventDefault) event.preventDefault();
		if(event.stopPropagation) event.stopPropagation();
		event.returnValue = false;


		// Pour chaque select
		$('.select').each(function(){
			// Si il est ouvert
			if($(this).hasClass('opened')){
				// On le ferme
				toggleSelect($(this));
			}
		});
		// On ouvre celui là
		toggleSelect($(this));
	});

	// Click sur un des choix du du select 
	$('.select .selectChoices span').click(function(event){
		
		if(event.preventDefault) event.preventDefault();
		if(event.stopImmediatePropagation) event.stopImmediatePropagation();

		event.returnValue = false;

		var select = $(this).parents('.select');
		var selectChoices = $(this).parents('.selectChoices');

		// On récupère les les valeurs à afficher/changer
		var affichage = $(this).html();
		var value = $(this).data('value');



		// On change/affiche les valeurs
		select.find('input').val(value);
		//select.find('.currentChoice').html(affichage);//MY 11/09/2015
		//select.find('.currentChoice').html($(this));
		//STRART
	
		if($(this).parent().hasClass('disabledSelection'))
		{
			select.find('.currentChoice').html($(this).parent().parent().html());
		}
		else{
			select.find('.currentChoice').html($(this).html());
		}
		//END
	
		// On referme le select
		selectChoices.css('display', 'none');
		select.removeClass('opened');

		select.trigger('SELECT_SELECTED', [$(this), value]);
	});

	// Ouverture/Fermeture du select
	function toggleSelect(elem) {
		// On récupère la visibilité du biniou
		var visibility = (elem.find('.selectChoices').css('display') == 'block') ? 'none' : 'block';

		// On toggle sa visbilité
		elem.find('.selectChoices').css('display', visibility);
		elem.toggleClass('opened');
	}
}